/*  all    */
body {
  border: 0;
  margin: 0;
  box-sizing: border-box;
  position: relative;
  background-color: rgba(0, 0, 255, 0.1);
  margin-bottom: 50px;
}

@keyframes rotate70 {
  0% {
    transform: rotate(0deg) scale(1);
  }

  50% {
    transform: rotate(100deg) scale(0.5);
  }

  100% {
    transform: rotate(0deg) scale(1);
  }
}

@keyframes slide {
  0% {
    transform: translatex(-100%);
  }

  100% {
    transform: translatex(100%);
  }
}

#move {
  min-width: 70vw;
  color: white;
  font-weight: bold;
  font-size: 1.3em;
  animation: slide 7s linear reverse infinite;
  margin: auto 0;
}

#animated {
  max-width: 30vw;
  height: 30px;
  display: flex;
  overflow: hidden;
  justify-content: center;
  padding: auto 0;
  flex-wrap: no-wrap;
}

.rotate-animation {
  animation: rotate70 0.5s linear;
}

.menu {
  position: fixed;
  background-color: blue;
  width: 100vw;
  box-sizing: border-box;
  display: flex;
  justify-content: space-between;
  padding: 0.1% 5%;
  margin: 0;
  top: 0;
  left: 0;
  z-index: 20;
}

#sphead {
  box-sizing: border-box;
  display: flex;
  justify-content: space-between;
  padding: 5px;
  margin: 0;
  top: 0;
  left: 0;
}

#hombtn,
#search {
  height: 70%;
  font-size: 1.5rem;
  background-color: rgba(255, 255, 255, 0);
  color: black;
  border: none;
}

#homebtn,
#allsect,
#slbl,
.btn {
  height: 96%;
  font-size: 1.2rem;
  background-color: rgba(255, 255, 255, 0.6);
  color: black;
  font-weight: 1000;
}

#homebtn:hover,
.btn:hover {
  cursor: pointer;
}

#input1 {
  height: 25px;
  margin-bottom: 5px;
}

#input1 {
  width: 30vw;
}

/*  outer most section*/
section {
  display: flex;
  padding: 1%;
  background-color: rgba(0, 0, 255, 0.2);
  border-radius: 7px;
  flex-direction: column;
  margin: 1% auto;
  max-width: 1000px;
  box-sizing: border-box;
}

.sect {
  padding: 0;
}

section:nth-child(1) {
  margin-top: 2.5rem;
}

/*  sidebar all*/
#sidebar {
  box-sizing: border-box;
  display: absolute;
  width: 30vw;
  height: 100vh;
  position: fixed;
  background-color: rgba(120, 106, 247, 0.466);
  color: red;
  top: 0;
  left: 0;
  z-index: 10;
  padding: 2.2rem 0 1.7rem 0;
}

#sb-in {
  display: flex;
  background-color: rgba(255, 255, 255, 0.6);
  flex-direction: column;
  height: 95%;
  overflow: auto;
  place-items: center;
  margin: 5px;
  border-radius: 10px;
  text-align: center;
}

#sb-out {
  display: flex;
  background-color: rgba(255, 255, 255, 0.6);
  flex-direction: column;
  justify-content: center;
  height: calc(100% - 10px);
  justify-content: space-evenly;
  place-items: center;
  margin: 5px;
  border-radius: 20px;
  text-align: center;
}

/*inner containers
upper part*/
section div {
  width: 100%;
  text-align: center;
  margin: 0 auto;
}

section div h2 {
  color: white;
  background-color: rgba(0, 0, 255, 0.4);
  border-radius: 10px 10px 0 0;
  margin: 0 auto;
}

/*   lower part */
section .box {
  margin: 0;
  padding: 0;
  background-color: white;
  border-radius: 0 0 10px 10px;
}

/*testing */
#sphead {
  height: 30px;
  background-color: rgba(0, 0, 200, 0.5);
  margin-bottom: 10px;
  width: 95%;
  margin: 0 auto;
}

head .icon {
  border-radius: 50%;
}

.items {
  a{
    text-decoration: none;
  }
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

.item {
  display: inline-block;
  background-color: lightblue;
  width: 21vw;
  min-height: 60%;
  margin: 1%;
  border-radius: 7px;
  box-sizing: border-box;
}
.item:hover{
  transform: translateY(-1.5%);
  background-color: aqua;
}

.img {
  height: 20vw;
  width: 19vw;
  margin: 2.5% auto;
  background-color: white;
}

.img2 {
  width: 95%;
  margin: 1% auto;
  background-color: white;
}

button:hover{
  transform: translateY(-0.5%);
  background-color: aqua;
}

@media only screen and (max-width: 460px) {

  .img {
    height: 26vw;
    width: 24vw;
  }

  .item {
    width: 27vw;
    height: 30%;
    border-radius: 1%;
  }

  .img2 {
    width: 95%;
  }

  #input1 {
    display: none;
  }

  #animated {
    min-width: 60vw;
  }

  #move {
    min-width: 120vw;
  }

  .hh {
    display: none;
  }

  #menu {
    padding: 5px 5px 5px 5px;
  }

  #allsect {
    min-width: 0;
    font-size: 0.9em;
  }

  body {
    font-size: 0.8rem;
  }

  @media only screen and (max-width: 300px) {
    .item {
      width: 34vw;
      height: 40%;
      border-radius: 1%;
    }

    .img {
      height: 33vw;
      width: 32vw;
    }

    #input1 {
      display: none;
    }

    #animated {
      max-width: 0;
    }

    #move {
      max-width: 0;
    }

    .hh {
      display: none;
    }

    #menu {
      padding: 5px 5px 5px 5px;
    }

    #allsect {
      min-width: 0;
      font-size: 0.7em;
    }

    body {
      font-size: 0.8rem;
    }

    #hombtn {
      font-size: 1em;
    }

    #menu {
      min-height: 0px;
    }

    @media only screen and (max-width: 220px) {
      .img {
        height: 39vw;
        width: 36vw;
      }

      .item {
        width: 37vw;
        height: 60%;
        border-radius: 1%;
      }

      @media only screen and (max-width: 190px) {
        .img {
          height: 80vw;
          width: 70vw;  
        }

        .item {
          width: 65vw;
          height: 60%;
          border-radius: 1%;
        }
      }
    }
  }
}

.p1,
.p2 {
  font-weight: bold;
}

.p1 {
  color: green;
}

.p2 {
  color: red;
}

/*mainly for about.html*/
.abouttxt {
  text-align: center;
  margin: 50px;
  font-size: 20px;
  display: flex;
  align-content: center;
  flex-direction: column;
}

.form {
  text-align: center;
  margin: 50px;
  align-content: center;
  font-size: 30px;
}

/*mainly for cont.html*/
#ta {
  height: 400px;
  font-size: 20px;
  width: 80vw;
  margin: auto;
}

.txt,
#ta {
  text-align: center;
  font-size: 30px;
  align-items: center;
}

#audio,
#video {
  margin: auto;
  padding: auto;
}

#warn {
  font-family: Helvetica;
  font-style: bold;
}

/*mainly for desc.html*/
#mkorder,
#rev,
#more,
#nxtstep,
#porder {
  max-width: 300px;
  margin: 10px auto;
  border-radius: 10px;
}

.input,
.ord {
  margin: 10px auto;
  border-radius: 10px;
}

.ord {
  font-size: 1.2em;
  max-width: 60vw;
  display: block;
}

#discount {
  color: red;
}

#price {
  color: green;
}

.d {
  display: flex;
  overflow: hidden;
  font-size: 1.1em;
}

.dp {
  display: flex;
}

.dt1 {
  min-width: 30%;
  max-width: 30%;
  text-align: left;
  padding: 10px auto;
}

.dt2 {
  min-width: 60%;
  max-width: 60%;
  text-align: left;
  padding: 10px auto;
}

.sep {
  margin: auto 5px;
}

/* footer */
footer {
  text-align: center;
}

.bottom {
  display: flex;
  position: fixed;
  bottom: 0;
  width: 100vw;
  justify-content: space-evenly;
  padding: 2px;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: 20;
}

.bottom button {
  background-color: blue;
  color: white;
}